Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._eyetracker.libdumbdummy.DumbDummy Class Reference
Inheritance diagram for pygaze._eyetracker.libdumbdummy.DumbDummy:

## Public Member Functions
| __init__ (self, display)
| send_command (self, cmd)
| log (self, msg)
| log_var (self, var, val)
| status_msg (self, msg)
| connected (self)
| calibrate (self)
| drift_correction (self, pos=None, fix_triggered=False)
| prepare_drift_correction (self, pos)
| fix_triggered_drift_correction (self, pos=None, min_samples=30, max_dev=60, reset_threshold=10)
| start_recording (self)
| stop_recording (self)
| close (self)
| set_eye_used (self)
| pupil_size (self)
| sample (self)
| wait_for_event (self, event)
| wait_for_saccade_start (self)
| wait_for_saccade_end (self)
| wait_for_fixation_start (self)
| wait_for_fixation_end (self)
| wait_for_blink_start (self)
| wait_for_blink_end (self)
Public Member Functions inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| __init__ (self)
| get_eyetracker_clock_async (self)
| draw_drift_correction_target (self, x, y)
| draw_calibration_target (self, x, y)
| set_draw_calibration_target_func (self, func)
| set_draw_drift_correction_target_func (self, func)
| set_detection_type (self, eventdetection)

## Public Attributes
bool | recording = False
bool | blinking = False
tuple | bbpos = (settings.DISPSIZE[0]/2, settings.DISPSIZE[1]/2)
| display = display
| screen = Screen(disptype=settings.DISPTYPE, mousevisible=False)
Public Attributes inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| draw_calibration_target = func
| draw_drift_correction_target = func

## Detailed Description

    A dummy class to run experiments in 'dumb dummy' mode, where nothing happens (NO simulation!)

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.libdumbdummy.DumbDummy.__init__ | ( |  | self,
|  |  | display )

    Initiates a 'dumb dummy' object, that doesn't do a thing

            arguments
            display     --  a pygaze display.Display instance

            keyword arguments
            None

## Member Function Documentation

## ◆ calibrate()

pygaze._eyetracker.libdumbdummy.DumbDummy.calibrate | ( |  | self | ) |

    Dummy calibration

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ close()

pygaze._eyetracker.libdumbdummy.DumbDummy.close | ( |  | self | ) |

    Dummy for closing connection with eyetracker, messages what would have been connection closing time

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ connected()

pygaze._eyetracker.libdumbdummy.DumbDummy.connected | ( |  | self | ) |

    Dummy connection status

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ drift_correction()

pygaze._eyetracker.libdumbdummy.DumbDummy.drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | fix_triggered = False )

    Dummy drift correction

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ fix_triggered_drift_correction()

pygaze._eyetracker.libdumbdummy.DumbDummy.fix_triggered_drift_correction | ( |  | self,
|  |  | pos = None,
|  |  | min_samples = 30,
|  |  | max_dev = 60,
|  |  | reset_threshold = 10 )

    Dummy drift correction (fixation triggered)

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ log()

pygaze._eyetracker.libdumbdummy.DumbDummy.log | ( |  | self,
|  |  | msg )

    Dummy log message, messages message instead of sending it to the eyetracker

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ log_var()

pygaze._eyetracker.libdumbdummy.DumbDummy.log_var | ( |  | self,
|  |  | var,
|  |  | val )

    Dummy varlog, messages variable and value instead of sending it to the eyetracker

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ prepare_drift_correction()

pygaze._eyetracker.libdumbdummy.DumbDummy.prepare_drift_correction | ( |  | self,
|  |  | pos )

    Dummy drift correction preparation

## ◆ pupil_size()

pygaze._eyetracker.libdumbdummy.DumbDummy.pupil_size | ( |  | self | ) |

    Returns dummy pupil size

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ sample()

pygaze._eyetracker.libdumbdummy.DumbDummy.sample | ( |  | self | ) |

    Returns dummy gaze position

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ send_command()

pygaze._eyetracker.libdumbdummy.DumbDummy.send_command | ( |  | self,
|  |  | cmd )

    Dummy command, messages command instead of sending it to the eyetracker

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ set_eye_used()

pygaze._eyetracker.libdumbdummy.DumbDummy.set_eye_used | ( |  | self | ) |

    Dummy for setting which eye to track (does nothing)

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ start_recording()

pygaze._eyetracker.libdumbdummy.DumbDummy.start_recording | ( |  | self | ) |

    Dummy for starting recording, messages what would have been the recording start

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ status_msg()

pygaze._eyetracker.libdumbdummy.DumbDummy.status_msg | ( |  | self,
|  |  | msg )

    Dummy status message, messages message instead of sending it to the eyetracker

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ stop_recording()

pygaze._eyetracker.libdumbdummy.DumbDummy.stop_recording | ( |  | self | ) |

    Dummy for stopping recording, messages what would have been the recording end

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_blink_end()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_blink_end | ( |  | self | ) |

    Returns ending time and position of a simulated blink (mousebuttonup)

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_blink_start()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_blink_start | ( |  | self | ) |

    Returns starting time and position of a simulated blink

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_event()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_event | ( |  | self,
|  |  | event )

    Dummy for waiting for an event, messages what would have been the event

    Waits for simulated event (3=STARTBLINK, 4=ENDBLINK, 5=STARTSACC, 6=ENDSACC, 7=STARTFIX, 8=ENDFIX)

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

## ◆ wait_for_fixation_end()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_fixation_end | ( |  | self | ) |

    Returns time and gaze position when a simulated fixation is ended

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_fixation_start()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_fixation_start | ( |  | self | ) |

    Returns starting time and position when a simulated fixation is started

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_saccade_end()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_saccade_end | ( |  | self | ) |

    Returns ending time, starting and end position when a simulated saccade is ended

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## ◆ wait_for_saccade_start()

pygaze._eyetracker.libdumbdummy.DumbDummy.wait_for_saccade_start | ( |  | self | ) |

    Returns starting time and starting position when a simulated saccade is started

Reimplemented from pygaze._eyetracker.baseeyetracker.BaseEyeTracker.

Reimplemented in pygaze._eyetracker.libdummytracker.Dummy.

## Member Data Documentation

## ◆ bbpos

tuple pygaze._eyetracker.libdumbdummy.DumbDummy.bbpos = (settings.DISPSIZE[0]/2, settings.DISPSIZE[1]/2)

## ◆ blinking

bool pygaze._eyetracker.libdumbdummy.DumbDummy.blinking = False

## ◆ display

pygaze._eyetracker.libdumbdummy.DumbDummy.display = display

## ◆ recording

bool pygaze._eyetracker.libdumbdummy.DumbDummy.recording = False

## ◆ screen

pygaze._eyetracker.libdumbdummy.DumbDummy.screen = Screen(disptype=settings.DISPTYPE, mousevisible=False)

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/libdumbdummy.py